
Core - Bug # 57497

Task # 57578 (Accepted): TceformsUpdateWizard improvements (Migrate all file relations from tt_content.image and pages.media)

Status: Resolved Priority: Should have
Author: Markus Klein Category: Install Tool
Created: 2014-04-01 Assigned To: Markus Klein
Updated: 2014-04-15 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: easy
Is Regression: No
Sprint Focus:
Subject: TceformsUpdateWizard shows up too often
Description

TceformsUpdateWizard shows up in the upgrade wizard overview too often since it does not remember finished work properly.

Associated revisions
Revision a7d1f8cd - 2014-04-15 18:39 - Markus Klein

[BUGFIX] TceformsUpdateWizard shows up too often

After successfully migrating a field, the field is not added to the list
of finished fields, due to a superfluous check.

Running wizard again finally adds the field to the finished list as the
condition is fulfilled, but the additional run does not
do any useful work anymore.

Fix this by adjusting the condition to safe the extra run.

Resolves: #57497
Releases: 6.2
Change-Id: I6bc15de6f5dbeb58151a1745a849e1b0581b2fbe
Reviewed-on: https://review.typo3.org/29033
Reviewed-by: Frans Saris
Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2014-04-01 17:01 - Markus Klein
- Subject changed from TceformsUpdateWizard shows up too oftern to TceformsUpdateWizard shows up too often

#2 - 2014-04-01 17:04 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29033

#3 - 2014-04-02 19:35 - Markus Klein
- Parent task set to #57578

#4 - 2014-04-08 09:08 - Alexander Opitz

Beside of the issue, that it is shown too often, I dislike that you go to next wizard without further notice that this wizard needs to run again.

#5 - 2014-04-08 10:06 - Markus Klein

That's why I'm preparing a patch that will recall the wizard as long as there's work to do. That will also fix problems with big installations were the
conversion can't be done in one request.
But that requires some prework:
    -  Different handling of errors in the wizard
    -  Installer needs ajax handling, so I can show a progress in the Install Tool
    -  etc.

#6 - 2014-04-15 19:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a7d1f8cd8a660122407d5da4bb97692849bd9ecd.
